# Copyright (c) 2019, Fuzhou Rockchip Electronics Co., Ltd
# Released under the MIT license (see COPYING.MIT for the terms)

#@TYPE: Machine
#@RK_PRODUCT_MODEL: AIO_3399PROC

require conf/machine/include/rk3399.inc

KBUILD_DEFCONFIG = "firefly3399pro_linux_defconfig"
KERNEL_DEVICETREE = "rockchip/rk3399pro-firefly-aioc.dtb"

UBOOT_MACHINE = "rk3399pro_defconfig"

RK_WIFIBT_FIRMWARES = " \
	rkwifibt-firmware-ap6354-wifi \
	rkwifibt-firmware-ap6354-bt \
	brcm-tools \
"

MACHINE_EXTRA_RRECOMMENDS_append += " \
	linux-firmware-rk-cdndp \
	rockchip-npu \
"
